libdevice User's Guide (PDF) - v6.5 (older) - Last updated August 1, 2014 - Send Feedback -

## 3.208. __nv_ll2float_rn

Prototype:

    float @__nv_ll2float_rn(i64 %l)

Description:

Convert the signed 64-bit integer value `x` to a single-precision floating point value in round-to-nearest-even mode.

Returns:

Returns converted value.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes